[![Build Status](https://img.shields.io/travis/StandardHTML/posthtml-standard-sequence.svg?style=flat-square)](https://travis-ci.org/StandardHTML/posthtml-standard-sequence)[![npm version](https://img.shields.io/npm/v/posthtml-standard-sequence.svg?style=flat-square)](https://www.npmjs.com/package/posthtml-standard-sequence)[![Dependency Status](https://david-dm.org/StandardHTML/posthtml-standard-sequence.svg?style=flat-square)](https://david-dm.org/StandardHTML/posthtml-standard-sequence)[![js-standard-style](https://img.shields.io/badge/code%20style-standard-yellow.svg?style=flat-square)](http://standardjs.com/)[![Coveralls status](https://img.shields.io/coveralls/StandardHTML/posthtml-standard-sequence.svg?style=flat-square)](https://coveralls.io/r/StandardHTML/posthtml-standard-sequence)

# posthtml-standard-sequence

> Standard sequence for configuration posthtml plugins, sorts the configuration file based on the internal configurator

Can be used as an option [posthtml-load-plugins](https://github.com/posthtml/posthtml-load-plugins)

## standard sequence based configuration 
```json
{
  "include": {
    "priority": 998
  },
  "modules": {
    "priority": 999  
  }
}
```

## Install

```bash
npm i -D posthtml-standard-sequence
```

## Usage
```js
import sequence from 'posthtml-standard-sequence';

const configuration = {
  "bem": {
      "elemPrefix": "__",
      "modPrefix": "-",
      "modDlmtr": "--"
  },
  "include": {
      "root": "./",
      "encoding": "utf-8"
  },
  "styleToFile": {
      "path": "./dist/style.css"
  }
}

sequence(configuration) 
// return ==> {"include": {...}, "bem": {...}, "styleToFile": {...}} 
```
